package com.ardrawing.ardrawingspace.room;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

import java.io.Serializable;

@Entity
public class SpaceEntity implements Serializable {

    @PrimaryKey(autoGenerate = true)
    private int id;
    private String imagePath;
    private boolean imageType;
    private boolean favorite;

    public SpaceEntity(String imagePath, boolean imageType, boolean favorite) {
        this.imagePath = imagePath;
        this.imageType = imageType;
        this.favorite = favorite;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getImagePath() {
        return imagePath;
    }

    public void setImagePath(String imagePath) {
        this.imagePath = imagePath;
    }

    public boolean isImageType() {
        return imageType;
    }

    public void setImageType(boolean imageType) {
        this.imageType = imageType;
    }

    public boolean isFavorite() {
        return favorite;
    }

    public void setFavorite(boolean favorite) {
        this.favorite = favorite;
    }
}